.navigation {
  $mobile: 'xl';

  &__content {
    background-color: #ffffff;
    padding-top: 45px;
    padding-bottom: 60px;
    display: flex;
    justify-content: space-between;
    align-items: center;

    @include screen-max($mobile) {
      padding-top: 24px;
      padding-bottom: 24px;
    }

    &__logo {
      display: flex;
      align-items: center;
      min-width: 120px;

      @include screen-max($mobile) {
        img {
          max-height: 40px;
        }
      }
    }

    .social-icons {
      display: flex;
      gap: 26px;
      margin-right: 37px;

      @include screen-max($mobile) {
        display: none;
      }

      svg {
        &:hover {
          box-shadow: 0 0 11px rgba(33, 33, 33, 0.2);
          transition: 0.3s ease;
        }
      }
    }

    .menu {
      display: flex;
      gap: 31px;
      margin: 0 32px;

      @include screen-max($mobile) {
        display: none;
      }

      &__item {
        color: $colorDark;
        position: relative;
        font-size: calculateSize(16);
        line-height: calculateSize(19);
        font-weight: 500;
        letter-spacing: 0.6px;
        padding: 5px 0;

        &:after {
          content: "";
          position: absolute;
          left: 0;
          bottom: -2px;
          width: 100%;
          height: 3px;
          background: $colorLightGreen;
          pointer-events: none;
          transform-origin: 100% 50%;
          transform: scaleX(0);
          transition: transform .3s;
        }

        &.active {
          &:after {
            transform-origin: 0 50%;
            transform: scaleX(1);
          }
        }

        &:hover,
        &:active {
          color: $colorDark;

          &:after {
            transform-origin: 0 50%;
            transform: scaleX(1);
          }
        }
      }
    }

    .button {
      @include screen-max($mobile) {
        display: none;
      }
    }
  }

  @include screen-max($mobile) {
    position: fixed;
    background: #FFFFFF;
    z-index: $indexNavigation;
    left: 0;
    top: 0;
  }
}

.navigation-mobile {
  z-index: $indexNavigationMobile;
  width: 100%;
  height: 100vh;
  overflow-x: hidden;
  overflow-y: auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-end;
  position: fixed;
  left: 0;
  top: 0;
  transition: opacity .4s cubic-bezier(.55,0,.1,1);
  opacity: 0;
  pointer-events: none;
  background-color: #FFFFFF;
  padding: 50px;

  &__content {
    display: flex;
    flex-direction: column;

    .menu {
      display: flex;
      flex-direction: column;
      align-items: flex-end;

      &__item {
        font-size: calculateSize(22);
        line-height: calculateSize(27);
        font-weight: 700;
        color: $colorDark;

        &:not(:last-child) {
          margin-bottom: 19px;
        }
      }
    }

    .social-icons {
      display: flex;
      gap: 26px;
      justify-content: flex-end;
      margin: 26px 0 38px;

      svg {
        height: 28px;
        width: 28px;

        path {
          fill: #000000;
        }
      }
    }
  }

  &.open {
    opacity: 1;
    pointer-events: all;
    transition: opacity .4s cubic-bezier(.55,0,.1,1),transform .4s cubic-bezier(.55,0,.1,1);
  }
}
